KDEINIT4(8)

NAME
kdeinit4 - O lançador de processos do KDE.

SINTAXE

kdeinit4 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programas] | [programas]]

DESCRIçãO

O 'kdeinit4' é um lançador de processos, de certa forma semelhante ao famoso init, que é usado no arranque do UNIX. Ele executa os programas do KDE e os módulos dinâmicos do 'kdeinit' (KLMs), iniciando-os de forma mais eficiente.

A utilização do 'kdeinit4' para lançar as aplicações do KDE torna o arranque de uma aplicação típica do KDE umas quantas vezes mais rápida e reduz substancialmente o consumo de memória.

O 'kdeinit4' é compilado dinamicamente com todas as bibliotecas que uma aplicação normal do KDE necessita. Graças a esta técnica, o arranque de uma aplicação torna-se muito mais rápido, porque agora só a aplicação é que necessita de ser compilada, enquanto que no outro caso teria de ser a aplicação e as bibliotecas que esta usa.

DESVANTAGENS

O nome do processo das aplicações iniciadas pelo 'kdeinit4' chama-se "kdeinit4". Este problema pode ser corrigido, de certa forma, se mudar o nome da aplicação, tal como aparece no ps. Contudo, as aplicações como o killall só irão ver o 'kdeinit4' como nome do processo. Para dar a volta a esta situação, use o comando kdekillall (que existe em 'kdesdk/scripts') para as aplicações que sejam iniciadas com o 'kdeinit4'.

OPçõES

--help
    Mostra a ajuda acerca das opções.

--no-fork
    Não faz um 'fork', i.e., não sai até que todos os programas executados terminem

--no-kded
    Não inicia o 'kded'

--suicide
    Termina a aplicação quando mais nenhuma aplicação do KDE estiver em execução

+programas
    executa os programas, tratando dos pedidos

programas
    executa os programas sem tratar dos pedidos

UTILIZAçãO

Uma forma padrão de executar este programa é simplesmente indicar o seguinte comando na consola: kdeinit4 programa ou kdeinit4 +programa

FICHEIROS

/tmp/kde-$USER/kdeinit4_$INSTANCIA
    ...

VARIáVEIS DE AMBIENTE

$HOME
    Indica a pasta pessoal do utilizador actual

$KDE_HOME_READONLY
    Indica se a pasta pessoal do utilizador é apenas para leitura

$KDE_IS_PRELINKED
    Se estiver definida, indica ao 'kdeinit4' que os programas do KDE são pré-carregados dinamicamente.

    (Este processo permite-lhe acelerar a funcionalidade de edição de ligações dinâmicas.)

$KDE_DISPLAY
    Se estiver definida, indica ao 'kdeinit4' que está a correr num ambiente de trabalho do KDE.

VEJA TAMBéM

kded, kdekillall

PROBLEMAS

Existem provavelmente bastantes erros. Use o bugs.kde.org[1] para os comunicar.

AUTHORS

Waldo Bastian <bastian@kde.org>
    Author.

Mario Weilguni <mweilguni@sime.com>
    Author.

Lubos Lunak <l.lunak@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org